#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	fmt
Version		:	11.0.2
Release		:	17.2.0.rel%{?dist}
Summary		:	An open-source formatting library for C++


Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://github.com/fmtlib/fmt


Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Buildrequires	:	cmake
Buildrequires	:	ninja
Buildrequires	:	gcc
Buildrequires	:	%{__python}
Buildrequires	:	doxygen
#-----------------------------------------------------------------------------
%description
'%{name}' is an open-source formatting library for C++.
It can be used as a safe and fast alternative to (s)printf and iostreams.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/%{name}-*.cmake

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B _bld						\
	-G Ninja					\
	-S .						\
	-D CMAKE_BUILD_TYPE='Release'			\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir}	\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}		\
	-D BUILD_SHARED_LIBS=TRUE			\
	-D FMT_TEST=TRUE				\

cmake 							\
	--build _bld					\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\

#-----------------------------------------------------------------------------
%check
cmake							\
	--build _bld					\
	--target test

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR="%{buildroot}"					\
cmake							\
	--install _bld					\

#adjusting include file
%{__ln_s}						\
	./chrono.h					\
	%{buildroot}%{_includedir}/%{name}/time.h
	
#-----------------------------------------------------------------------------
%changelog
